Bug 171213 - CVE-2005-3258 Squid crash due to malformed FTP response
CVE-2005-3258 Squid crash due to malformed FTP response
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
impact=moderate,reported=20051019,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-19 11:02 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-20 05:11:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-10-19 11:02:55 EDT
+++ This bug was initially created as a clone of Bug #171212 +++

Squid recently fixed an issue which can cause Squid to crash when processing
certain odd FTP responses.

More information here:
http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE11-rfc1738_do_escape

Here is the bug with the patch:
http://www.squid-cache.org/bugs/show_bug.cgi?id=1426

This should also affect FC3

Note You need to log in before you can comment on or make changes to this bug.